#pragma once

#include "../Types.h"
#include "Math.h"

namespace Tr {

namespace TrackVectorFit {

namespace Vector {

template<size_t W, bool checkNodeType>
inline void update (
  fp_ptr_64_const rv,
  fp_ptr_64_const pm,
  fp_ptr_64_const rr,
  fp_ptr_64_const em,
  fp_ptr_64 us,
  fp_ptr_64 uc,
  fp_ptr_64 chi2,
  const std::array<Sch::Item, W>& n
) {
  MathCommon<W>::template update<checkNodeType> (
    rv,
    pm,
    rr,
    em,
    us,
    uc,
    chi2,
    n
  );
}

}

}

}
